Bug 1660118 - No Thunderbolt support reported in GNOME Control Center
Summary: No Thunderbolt support reported in GNOME Control Center
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bolt
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Kellner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-17 14:32 UTC by Tomas Popela
Modified: 2019-01-03 05:29 UTC (History)
1 user (show)

Fixed In Version: bolt-0.7-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-03 05:29:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas Popela 2018-12-17 14:32:02 UTC
The machine is connected to the TB dock, but g-c-c still reports, that there is no TB support.

$ journalctl -u bolt -b0"
-- Logs begin at Wed 2018-10-31 13:32:00 CET, end at Mon 2018-12-17 15:10:36 CET. --
Dec 17 09:58:28 inemuri-t480s systemd[1]: Starting Thunderbolt system service...
Dec 17 09:58:28 inemuri-t480s boltd[1367]: bolt 0.6 starting up.
Dec 17 09:58:28 inemuri-t480s boltd[1367]: config: loading user config
Dec 17 09:58:28 inemuri-t480s boltd[1367]: bouncer: initializing polkit
Dec 17 09:58:28 inemuri-t480s boltd[1367]: udev: initializing udev
Dec 17 09:58:28 inemuri-t480s boltd[1367]: store: loading domains
Dec 17 09:58:28 inemuri-t480s boltd[1367]: [c3030000-0092-domain?                    ] store: loading domain
Dec 17 09:58:28 inemuri-t480s boltd[1367]: journal: opened for 'c3030000-0092'; size: 0 bytes
Dec 17 09:58:28 inemuri-t480s boltd[1367]: [c3030000-0092-domain?                    ] domain: domain (security: unknown, bootacl: yes) added
Dec 17 09:58:28 inemuri-t480s boltd[1367]: store: loading devices
Dec 17 09:58:28 inemuri-t480s boltd[1367]: [008fb200-3724                            ] store: loading device
Dec 17 09:58:28 inemuri-t480s boltd[1367]: power: force power support: yes
Dec 17 09:58:28 inemuri-t480s boltd[1367]: udev: found 1 domain
Dec 17 09:58:28 inemuri-t480s boltd[1367]: udev: enumerating devices
Dec 17 09:58:28 inemuri-t480s boltd[1367]: probing: adding /sys/devices/pci0000:00/0000:00:1c.4/0000:04:00.0 to roots
Dec 17 09:58:28 inemuri-t480s boltd[1367]: [c3030000-0092-domain0                    ] bootacl: synchronizing journal
Dec 17 09:58:28 inemuri-t480s boltd[1367]: [c3030000-0092-domain0                    ] connected: as domain0 [secure] (/sys/devices/pci0000:00/0000:00:1c.4/0000:04:00.0/0000:05:00.0/0000:06:00.0/domain0)
Dec 17 09:58:28 inemuri-t480s boltd[1367]: [c3030000-0092-Thinkpad T480s             ] device added, status: authorized, at /sys/devices/pci0000:00/0000:00:1c.4/0000:04:00.0/0000:05:00.0/0000:06:00.0/domain0/0-0
Dec 17 09:58:28 inemuri-t480s boltd[1367]: [c3030000-0092-Thinkpad T480s             ] labeling device: Lenovo Thinkpad T480s
Dec 17 09:58:28 inemuri-t480s boltd[1367]: [008fb200-3724-ThinkPad Thunderbolt 3 Dock] parent is c3030000-0092...
Dec 17 09:58:28 inemuri-t480s boltd[1367]: [008fb200-3724-ThinkPad Thunderbolt 3 Dock] connected: authorized (/sys/devices/pci0000:00/0000:00:1c.4/0000:04:00.0/0000:05:00.0/0000:06:00.0/domain0/0-0/0-1)
Dec 17 09:58:28 inemuri-t480s boltd[1367]: dbus: exported domain at /org/freedesktop/bolt/domains/c3030000_0092_9088_20cc_6b120aa05921
Dec 17 09:58:28 inemuri-t480s boltd[1367]: [008fb200-3724-ThinkPad Thunderbolt 3 Dock] dbus: exported device at /org/freedesktop/bolt/devices/008fb200_3724...
Dec 17 09:58:28 inemuri-t480s boltd[1367]: [c3030000-0092-Thinkpad T480s             ] dbus: exported device at /org/freedesktop/bolt/devices/c3030000_0092...
Dec 17 09:58:28 inemuri-t480s systemd[1]: Started Thunderbolt system service.

Comment 1 Christian Kellner 2018-12-17 14:38:18 UTC
This is upstream bug https://gitlab.freedesktop.org/bolt/bolt/issues/131

Comment 2 Fedora Update System 2019-01-01 18:04:11 UTC
bolt-0.7-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e4c7e2bfc4

Comment 3 Fedora Update System 2019-01-02 02:49:23 UTC
bolt-0.7-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e4c7e2bfc4

Comment 4 Fedora Update System 2019-01-03 05:29:32 UTC
bolt-0.7-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.